﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Tab_Browser
{
    public partial class Browser : UserControl
    {
        public TabPage page = new TabPage("Prázdna stránka");

        public Browser()
        {
            InitializeComponent();
            page.Location = new System.Drawing.Point(4, 22);
            page.Name = "tabPage2";
            page.Padding = new System.Windows.Forms.Padding(3);
            page.Size = new System.Drawing.Size(918, 446);
            page.TabIndex = 1;
            page.Text = "Empty Page";
            page.UseVisualStyleBackColor = true;
            page.Controls.Add(this);
            this.Dock = DockStyle.Fill;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            webBrowser1.Navigate(textBox1.Text);
        }

        private void webBrowser1_DocumentCompleted(object sender, WebBrowserDocumentCompletedEventArgs e)
        {
            button1.Enabled = webBrowser1.CanGoBack;
            button2.Enabled = webBrowser1.CanGoForward;
            textBox1.Text = webBrowser1.Url.ToString();
            if (webBrowser1.DocumentTitle.Length < 18)
            page.Text = webBrowser1.DocumentTitle;
            else page.Text = webBrowser1.DocumentTitle.Substring(0,15) +"...";
        }

        private void button1_Click(object sender, EventArgs e)
        {
            webBrowser1.GoBack();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            webBrowser1.GoForward();
        }

        private void textBox1_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == '\r')
            {
                e.Handled = true;
                button3.PerformClick();
                webBrowser1.Select();
            }
        }
    }
}
