﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Tab_Browser
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            AddPage();
        }

        public void AddPage()
        {
            Browser b = new Browser();
            tabControl1.Controls.Add(b.page);
            Control p = tabControl1.Controls[tabControl1.TabCount - 2];
            tabControl1.Controls.RemoveAt(tabControl1.TabCount - 2);
            tabControl1.Controls.Add(p);
            tabControl1.SelectedIndex = tabControl1.TabCount - 2;
        }

        private void tabControl1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (tabControl1.SelectedIndex == tabControl1.TabCount - 1)
            {
                AddPage();
            }
        }

        private void tabControl1_Click(object sender, MouseEventArgs e)
        {
            var tabControl = sender as TabControl;
            var tabs = tabControl.TabPages;

            if (e.Button == MouseButtons.Middle)
            {
                TabPage tp = tabs.Cast<TabPage>()
                        .Where((t, i) => tabControl.GetTabRect(i).Contains(e.Location))
                        .First();
                if (tp.Text != "+")
                    tabs.Remove(tp);
            }
        }
    }
}
